@import '{}/imports/ui/stylesheets/variables/index';

// *** Course details ***
//=======================

// ** Component header
//========================================================================================
.course-page-component-header {
	$background-color: $blue;

	background: $course-border-color;
	color: $white;
	padding: 15px;

	.fa-solid, .fa-regular {
		color: #525151;
	}
}

.course-page-component-header > h4 {
	font-weight: bold;
	margin: 0;
}

// ** Course buttons
//========================================================================================
.course-delete-confirmation {
	$background-color: tint-color($danger, 20%);

	background-color: $background-color;
	border: 1px solid shade-color($background-color, 20%);
	padding: 15px 15px 0;
}

// ** Component buttons
//========================================================================================
.course-page-btn {
	border: none;
	background-color: #dbdbdb;
	padding: 10px 12px;
	text-align: start;
	width: 100%;

	border: $course-border-width solid $course-border-color;


	color: #55959e;
	font-weight: bolder;

	.fa-solid {
		color: $course-border-color;
	}

	&:hover {
		color: #55959e;
	}

	&:hover, &:active, &:first-child:active {
		background-color: $white;
		border-color: $course-border-color;
	}
}

// ** Header
//========================================================================================
.course-details > .details-header {
	border-color: $course-border-color;
	border-style: solid;
	border-width: $course-border-width $course-border-width 0;
	aspect-ratio: 16/9;

	& > .details-header-inner-wrapper {
		position: absolute;
		padding: $course-border-width;
		left: 0;
		right: 0;
		bottom: 0;
		background-color: rgba(255, 255, 255, 0.8);

		.tag-group button {
			font-weight: bold;
		}
	}
}

.is-proposal > .details-header {
	border-style: $proposal-border-style;
}

.has-past-events > .details-header {
	border-style: $has-past-events-border-style;
}

.has-upcoming-events > .details-header {
	background: $has-upcoming-events-bg;
}

.is-archived > .details-header {
	border-color: $archived-color;
}

// ** Tags
//========================================================================================
.details-header-tags {
	@include td-pos(right, -$course-border-width);
	max-width: 120px;
	position: absolute;
	top: -$course-border-width;
}

.details-header-tags > div {
	display: block;
	position: relative;
}

.proposal-tag {
	$background-color: rgba($blue-lighter, 0.75);

	background-color: $background-color;
	color: shade-color($background-color, 65%);
	margin-bottom: 1px;
	padding: 8px;
}

// ** Internal indicator dot
//========================================================================================
.details-internal {
	background-color: #f00;
	border-radius: 50%;
	height: 5px;
	left: 6px;
	position: absolute;
	top: 6px;
	width: 5px;
}

// ** Title
//========================================================================================
.course-details-title {
	@include editable-popout;
	font-size: 30px;
	margin-bottom: 10px;
	margin-right: 10px;
	font-weight: bold;
	color: #525151;
}

.course-details-title > .editable {
	font-size: 30px;
	padding: 0;
}

.course-details-title > .editable-controls {
	font-size: medium;
	z-index: 100;
}

.course-details-title > h2 {
	margin-top: 0;
}

// ** Categories
//========================================================================================
.course-details-categories {
	font-weight: bold;
}

.course-details-categories + .tag-group

.course-details-categories > ul {
	margin-bottom: 0;
}

.course-details-categories > ul > li {
	margin-bottom: 10px;

	&:first-child {
		@include td-margin(left, 0);
	}
}

// ** Navigation
//========================================================================================
.course-details-nav {
	box-sizing: border-box;
	background-color: #dbdbdb;
	border-color: $course-border-color;
	border-style: solid;
	border-width: 0 $course-border-width;
	padding: 0 $details-header-padding-horizontal;

	border-bottom: 1px solid $course-border-color;

	.nav-tabs {
		font-weight: bold;
		border: none;
		& > li {
			& > a:hover {
				border-bottom: none;
			}
		}
		& > li.active > a {
				border-color: $course-border-color;
				border-bottom-color: transparent;
		}
	}
}

//.is-proposal .course-details-nav {
//	border-style: $proposal-border-style;
//}

//.has-past-events .course-details-nav {
//	border-style: $has-past-events-border-style;
//}

//.has-upcoming-events .course-details-nav {
//	background: $has-upcoming-events-bg;
//}

.is-archived .course-details-nav {
	border-color: $archived-color;
}

// ** Content
//========================================================================================
.course-details-content {
	border: $course-border-width solid $course-border-color;
	border-top: none;
	position: relative;

	background-color: #dbdbdb;

	&::before,
	&::after {
		//border-top: $tab-content-border-width solid $blue;
		content: '';
		height: 100%;
		position: absolute;
		top: $tab-content-border-width * -1;
		z-index: 99;
	}

	&::before {
		left: $tab-content-border-width * -1;
	}

	&::after {
		right: $tab-content-border-width * -1;
	}
}

$course-details-content-padding-horizontal: (
	$details-header-padding-horizontal + $course-border-width
);

.course-details-content {
	padding: 15px $course-details-content-padding-horizontal;
}

.course-details-content::after,
.course-details-content::before {
	width: $course-details-content-padding-horizontal;
}

.course-description {
	max-height: calc(300px - 1rem); // ca 300px - 1 rem
}

.course-description-fade-wrap {
	position: relative;
}

.course-description-fade-bottom {
	@include gradient-y(transparent, #ebf4f8);
	bottom: 0;
	height: 60px;
}

// ** Description
//========================================================================================
.course-details-description {
	font-size: medium;
	max-height: calc(300px - 1rem);
	overflow-y: scroll;

	.editable-controls {
		top: 318px;
		left: 3px;
	}
}

// ** Price Policy
//========================================================================================
.course-details-price-policy {
	margin-top: 10px;
}

// ** Actions
//========================================================================================
.course-page .actions {
	background-color: #dbdbdb;
	border: none;
	padding-right: 0;
}

// ** Roles
//========================================================================================
.course-page .course-role:nth-child(4) {
	display: none;
}

.course-page .course-role {
	margin-bottom: -$course-border-width;

	*:not(.fa-solid) {
		color: #55959e;
		font-weight: bolder;
	}
}

.course-page .course-role-enroll {
	border: $course-border-width solid $course-border-color;
	margin-bottom: -$course-border-width;

	background-color: #dbdbdb;

	.course-role-title-enroll {
		color: #55959e;
		font-weight: bolder;
	}
}

.course-page .js-report {
	font-weight: bolder;
	border: $course-border-width solid $course-border-color;
	color: #55959e;
	background-color: #dbdbdb;

	&:hover {
		background-color: $white;
	}
}

.course-page {
	.actions, .editable-controls {
		.btn {
			color: $white;
			font-weight: bolder;
			border: none;
			background-color: #acaaaa;
			&:hover {
				background-color: $green;
			}
		}

		.btn-delete {
			background-color: #a8162b;
			&:hover {
				background-color: lighten(#a8162b, 10%);
			}
		}
	}

	.editable-controls button {
		box-shadow: none;
	}
}

/*
.course-page .socials {
	background-color: #c4c4c4;
	margin: 10px 0 10px auto;
	padding: $course-border-width $course-border-width / 2;

	width: fit-content;

	a {
		color: $body-bg;
		margin: 0 $course-border-width / 2;
		i {
			height: 17px + 2 * $course-border-width;
			width: 17px + 2 * $course-border-width;
			background-color: #949494;
			padding: $course-border-width;
			display:inline-block;
			font-size: 17px;
			text-align: center;
		}
	}
	a:hover {
		color: $white;
	}
}
*/
